Subject: Re: Unit_Sw_Version

From: Joseph Joy <[email-masked]>
Date: Mon, 8 Feb 1999 11:41:04 -0800

While I would prefer to pick a value for Unit_sw_Version that could be used
by multiple protocols (ipv6, ipv4, etc), I much prefer using RFC number over
ethertype.

Note that the ip1394 working group's decision to use the RFC number for
unit_sw_version does NOT *guarantee* that the combination (spec_id,
unit_sw_version) is unique. It is theoretically possible (but unlikely) that
some other group unrelated to ip/1394 can come up with the same value for
unit_sw_version that we have picked for ip/1394. This is a bit troubling to
me, but in the interest of getting closure on the ip/1394 spec, I can live
with using RFC for unit_sw_version.

Thanks,

Joseph.

-----Original Message-----
From: Hattig, Myron [mailto:[email-masked]]
Sent: Wednesday, February 03, 1999 10:18 AM
To: [email-masked]
Subject: Re: Unit_Sw_Version

Are there any objections to using RFC number? If no one response by the end
of
the week, then this issue will be resolved. This is the last known issue for
the IPv4 over 1394 spec. We will do a WG last call directly after the next
version of the draft is published.

Thanks,

-myron

> -----Original Message-----
> From: Peter Johansson [mailto:[email-masked]]
> Sent: Tuesday, February 02, 1999 11:22 PM
> To: [email-masked]
> Subject: Re: Unit_Sw_Version
>
>
> In a message dated 99-01-29 16:18:59 EST,
> [email-masked] writes:
>
> <<Use of the RFC number allows us to identify MCAP, ARP, as
> well as IPv4 with
> a single Unit_Sw_Verions number. Also if we produce another
> RFC to address
> IPv4 over 1394 networks with bridges, we can do so. Just the
> EtherType does
> nothing to identify MCAP and ARP and does not allow us to
> identify IPv4 over
> bridged 1394 networks.>>
>
> I strongly agree that an RFC number is an appropriate value for
> Unit_SW_Version.
>
> The whole point of Unit_Spec_ID and Unit_SW_Version, taken
> together as a
> 48-bit number, is to uniquely identify a DOCUMENT that
> specifies the software
> interface. This was the concept in the CSR Architecture for
> configuration ROM.
>
> Peter Johansson
>
> Congruent Software, Inc.
> 98 Colorado Avenue
> Berkeley, CA  94707
>
> (510) 527-3926
> (510) 527-3856 FAX
>
> [email-masked]
>